/*
 * QuickSearch.cpp
 *
 *  Created on: 4. 3. 2018
 *	  Author: Michal Cvach
 */

#include "QuickSearch.h"
#include <registration/AlgoRegistration.hpp>

namespace arbology {

namespace exact {

auto QuickSearchPrefixRankedBarTreePrefixRankedBarTree = registration::AbstractRegister < QuickSearch, ext::set < unsigned >, const tree::PrefixRankedBarTree < > &, const tree::PrefixRankedBarTree < > & > ( QuickSearch::match );
auto QuickSearchPrefixRankedBarTreePrefixRankedBarPattern = registration::AbstractRegister < QuickSearch, ext::set < unsigned >, const tree::PrefixRankedBarTree < > &, const tree::PrefixRankedBarPattern < > & > ( QuickSearch::match );
auto QuickSearchPrefixRankedBarTreePrefixRankedBarNonlinearPattern = registration::AbstractRegister < QuickSearch, ext::set < unsigned >, const tree::PrefixRankedBarTree < > &, const tree::PrefixRankedBarNonlinearPattern < > & > ( QuickSearch::match );

} /* namespace exact */

} /* namespace arbology */
