/*
 * FullAndLinearIndexPatterns.cpp
 *
 *  Created on: 2. 1. 2017
 *      Author: Jan Travnicek
 */

#include "FullAndLinearIndexPatterns.h"
#include <registration/AlgoRegistration.hpp>

namespace arbology {

namespace query {

auto fullAndLinearIndexPatternsPrefixRankedPattern = registration::AbstractRegister < FullAndLinearIndexPatterns, ext::set < unsigned >, const indexes::arbology::FullAndLinearIndex < > &, const tree::PrefixRankedPattern < > & > ( FullAndLinearIndexPatterns::query );
auto fullAndLinearIndexPatternsPrefixRankedBarPattern = registration::AbstractRegister < FullAndLinearIndexPatterns, ext::set < unsigned >, const indexes::arbology::FullAndLinearIndex < > &, const tree::PrefixRankedBarPattern < > & > ( FullAndLinearIndexPatterns::query );

} /* namespace query */

} /* namespace arbology */
