/*
 * QuickSearch.cpp
 *
 *  Created on: 23. 2. 2018
 *	  Author: Michal Cvach
 */

#include "QuickSearch.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace exact {

auto QuickSearchLinearString = registration::AbstractRegister < QuickSearch, ext::set < unsigned >, const string::LinearString < > &, const string::LinearString < > & > ( QuickSearch::match );

} /* namespace exact */

} /* namespace stringology */
