/*
 * GeneralizedLevenshteinBitParalelism.cpp
 *
 *  Created on: 4. 5. 2018
 *      Author: Tomas Capek
 */

#include "GeneralizedLevenshteinBitParalelism.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace simulations {

auto GeneralizedLevenshteinBitParalelismLinearString = registration::AbstractRegister < GeneralizedLevenshteinBitParalelism, ext::set < unsigned >, const string::LinearString < > &, const string::LinearString < > & , unsigned > ( GeneralizedLevenshteinBitParalelism::search );

} /* namespace simulations */

} /* namespace stringology */
