/*
 * HammingDynamicProgramming.cpp
 *
 *  Created on: 12. 3. 2018
 *      Author: Tomas Capek
 */

#include "HammingDynamicProgramming.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace simulations {

auto HammingDynamicProgrammingLinearString = registration::AbstractRegister < HammingDynamicProgramming, ext::set < unsigned >, const string::LinearString < > &, const string::LinearString < > &, unsigned > ( HammingDynamicProgramming::search );

} /* namespace simulations */

} /* namespace stringology */
