/*
 * CNF.cpp
 *
 *  Created on: Nov 17, 2013
 *      Author: Jan Travnicek
 */

#include "CNF.h"
#include <grammar/Grammar.h>
#include <object/Object.h>

#include <registration/XmlRegistration.hpp>

namespace {

static auto xmlWrite = registration::XmlWriterRegister < grammar::CNF < > > ( );
static auto xmlRead = registration::XmlReaderRegister < grammar::CNF < > > ( );

static auto xmlGroup1 = registration::XmlRegisterTypeInGroup < grammar::Grammar, grammar::CNF < > > ( );
static auto xmlGroup2 = registration::XmlRegisterTypeInGroup < object::Object, grammar::CNF < > > ( );

} /* namespace */
