/*
 * CreateDataType.cpp
 *
 *  Created on: Dec 7, 2017
 *      Author: Jan Travnicek
 */

#include "DataType.h"
#include <registration/AlgoRegistration.hpp>
#include <alib/iostream>

class CreateDataType {
public:
	static DataType create ( ) {
		return DataType ( 0 );
	}

};

class CreateDataType2 {
public:
	template < typename T >
	static DataType create ( T a ) {
		std::cout << "Here" << std::endl;
		return DataType ( a );
	}

	static DataType create ( int a ) {
		return DataType ( a );
	}

};

namespace {

auto create1 = registration::AbstractRegister < CreateDataType, DataType > ( CreateDataType::create );
auto create2 = registration::AbstractRegister < CreateDataType2, DataType, int > ( CreateDataType2::create );
auto create3 = registration::AbstractRegister < CreateDataType2, DataType, double > ( CreateDataType2::create );

}
