// EdgeBase.hpp
//
//     Created on: 04. 03. 2018
//         Author: Jan Uhlik
//    Modified by:
//
// Copyright (c) 2017 Czech Technical University in Prague | Faculty of Information Technology. All rights reserved.
// Git repository: https://gitlab.fit.cvut.cz/algorithms-library-toolkit/automata-library

#ifndef ALIB2_EDGEBASE_HPP
#define ALIB2_EDGEBASE_HPP

#include <object/ObjectBase.h>

namespace edge {

/**
 * Represents edge in graph.
 */
class EdgeBase : public object::ObjectBase {
// ---------------------------------------------------------------------------------------------------------------------

 public:
  virtual EdgeBase *clone() const & = 0;
  virtual EdgeBase *clone() && = 0;

// ---------------------------------------------------------------------------------------------------------------------
};

} // namespace edge

#endif //ALIB2_EDGEBASE_HPP
