#ifndef TYPE_INFO_TEST_H_
#define TYPE_INFO_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

class TypeInfoTest : public CppUnit::TestFixture
{
	CPPUNIT_TEST_SUITE( TypeInfoTest );
	CPPUNIT_TEST( testTypeInfo );
	CPPUNIT_TEST( testGetTemplateInfo );
	CPPUNIT_TEST_SUITE_END();

	class Base {
	public:
	virtual ~Base() {}
	};

	class Child1 : public Base {
	};

	class Child2 : public Base {
	};

public:
	void setUp();
	void tearDown();

	void testTypeInfo();
	void testGetTemplateInfo();
};

#endif	// TYPE_INFO_TEST_H_
