/*
 * CyclicString.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include "CyclicString.h"
#include <string/String.h>

#include <registration/StringRegistration.hpp>

namespace {

static auto stringWrite = registration::StringWriterRegister < string::String, string::CyclicString < > > ( );
static auto stringWrite2 = registration::StringWriterRegister < object::Object, string::CyclicString < > > ( );

static auto stringReader = registration::StringReaderRegister < string::String, string::CyclicString < > > ( );

} /* namespace */
