/*
 * QuickSearchBadCharacterShiftTable.cpp
 *
 *  Created on: 23. 2. 2018
 *	  Author: Michal Cvach
 */

#include "QuickSearchBadCharacterShiftTable.h"
#include <registration/AlgoRegistration.hpp>

namespace string {

namespace properties {

auto QuickSearchBadCharacterShiftTableLinearString = registration::AbstractRegister < QuickSearchBadCharacterShiftTable, ext::map < DefaultSymbolType, size_t >, const string::LinearString < > & > ( QuickSearchBadCharacterShiftTable::qsbcs );

} /* namespace properties */

} /* namespace string */
