/*
 * Author: Radovan Cerveny
 */

#include "NondeterministicExactSuffixAutomaton.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace indexing {

auto SuffixAutomatonNondeterministicLinearString = registration::AbstractRegister < NondeterministicExactSuffixAutomaton, automaton::EpsilonNFA < DefaultSymbolType, DefaultEpsilonType, unsigned >, const string::LinearString < > & > ( NondeterministicExactSuffixAutomaton::construct );

} /* namespace indexing */

} /* namespace stringology */
