/*
 * ExactSubtreeRepeats.cpp
 *
 *  Created on: 5. 5. 2017
 *      Author: Aleksandr Shatrovskii
 */

#include "ExactSubtreeRepeats.h"
#include <registration/AlgoRegistration.hpp>

namespace tree {

namespace properties {

auto ExactRepeatsPostfixRankedTree = registration::AbstractRegister < ExactSubtreeRepeats, tree::PostfixRankedTree < unsigned, DefaultRankType >, const tree::PostfixRankedTree < > & > ( ExactSubtreeRepeats::repeats );

} /* namespace properties */

} /* namespace tree */
