// NodeBase.hpp
//
//     Created on: 04. 03. 2018
//         Author: Jan Uhlik
//    Modified by:
//
// Copyright (c) 2017 Czech Technical University in Prague | Faculty of Information Technology. All rights reserved.
// Git repository: https://gitlab.fit.cvut.cz/algorithms-library-toolkit/automata-library

#ifndef ALIB2_NODEBASE_HPP
#define ALIB2_NODEBASE_HPP

#include <object/ObjectBase.h>

namespace node {

/**
 * Represents node in graph.
 */
class NodeBase : public object::ObjectBase {
// ---------------------------------------------------------------------------------------------------------------------

 public:
  virtual NodeBase *clone() const & = 0;
  virtual NodeBase *clone() && = 0;

// ---------------------------------------------------------------------------------------------------------------------
};

} // namespace node

#endif //ALIB2_NODEBASE_HPP
