/*
 * ObjectsPair.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include "ObjectsPair.h"
#include <container/Container.h>

#include <registration/StringRegistration.hpp>

namespace {

static auto stringWrite = registration::StringWriterRegister < container::Container, container::ObjectsPair < > > ( );
static auto stringWrite2 = registration::StringWriterRegister < object::Object, container::ObjectsPair < > > ( );

static auto stringReader = registration::StringReaderRegister < container::Container, container::ObjectsPair < > > ( );
static auto stringReaded2 = registration::StringReaderRegister < object::Object, container::ObjectsPair < > > ( );

} /* namespace */
